2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Linux/DotDesktopViewWidget.cs: Fix
	  incorrect use of ShowCustomDialog/RunCustomDialog.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Deployment.Linux/DotDesktopViewWidget.cs: More
	  dialog placing.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs:
	  Flush.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Deployment.Linux/DotDesktopView.cs: IViewContent
	  widgets are now destroyed by the workspace window.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Deployment.Linux.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Deployment.Linux.csproj:
	* MonoDevelop.Deployment.Linux.addin.xml:
	* MonoDevelop.Deployment.Linux/BasicOptionPanel.cs:
	* MonoDevelop.Deployment.Linux/DotDesktopViewWidget.cs:
	* MonoDevelop.Deployment.Linux/LinuxDeploymentSetup.cs: Merged
	  MD.Projects into MD.Core, and MD.Projects.Gui, MD.Core.Gui
	  and MD.Components into MD.Ide.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Deployment.Linux.DesktopPanelWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs:
	* MonoDevelop.Deployment.Linux/LinuxIntegrationProjectFeature.cs:
	* gtk-gui/MonoDevelop.Deployment.Linux.BasicOptionPanelWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Linux.MenuCategorySelectorDialog.cs:
	  Flush.

2010-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Deployment.Linux/DotDesktopDisplayBinding.cs:
	  Track DisplayBinding API.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Linux/BasicOptionPanelWidget.cs:
	  Track api changes.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Linux/LinuxDeployExtension.cs:
	  Introduced the ConfigurationSelector class to all methods
	  that previously took a configuration name as string. This
	  eliminates the ambiguity between solution configuration
	  names and project configuration names.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Deployment.Linux.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.Deployment.Linux.csproj:
	* gtk-gui/MonoDevelop.Deployment.Linux.DesktopPanelWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Linux.BasicOptionPanelWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Linux.MenuCategorySelectorDialog.cs:
	  Flush.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Deployment.Linux.addin.xml: Bump MD version.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.Deployment.Linux/DotDesktopViewWidget.cs: Set dialog
	  transient for the root window.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Linux.csproj: Updated dependencies.
	  We now depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Flush.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.Deployment.Linux.MenuCategorySelectorDialog.cs:
	  Flush.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Linux/DotDesktopViewWidget.cs: Use
	  the new DesktopService instead of PlatformService.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Linux/LinuxDeployExtension.cs:
	* MonoDevelop.Deployment.Linux/BasicOptionPanelWidget.cs:
	  Track api changes.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Deployment.Linux/DotDesktopDisplayBinding.cs:
	  Track API changes.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Deployment.Linux/DotDesktopDisplayBinding.cs:
	  Track API changes.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Deployment.Linux.csproj: don't require specific
	gtk-sharp version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Deployment.Linux.addin.xml: Bump MD version.

2009-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Linux/LinuxDeployExtension.cs: If
	  version number is not set in the project, get the version
	  from the solution.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Deployment.Linux.csproj: Flush MD's removal of
	  newline at end of file that was introduced by manually
	  editing with gedit.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Deployment.Linux.csproj: Remove invalid
	  ApplicationIcon value that broke the build in VS.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Linux.mdp:
	* MonoDevelop.Deployment.Linux.csproj: Migrated to MSBuild
	  file format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Deployment.Linux.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Deployment.Linux.DesktopPanelWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Linux.BasicOptionPanelWidget.cs:
	*
	  gtk-gui/MonoDevelop.Deployment.Linux.MenuCategorySelectorDialog.cs:
	  Flush.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Deployment.Linux.mdp: Flush project format changes.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Linux.mdp: All projects now require fx 3.5.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Linux.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build dependencies.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Linux.addin.xml: Bump MD version.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Deployment.Linux/BasicOptionPanelWidget.cs: Track API.
	* MonoDevelop.Deployment.Linux/LinuxDeploymentSetup.cs: Added quick
	  property for enabling translation of files. Supports multi-select.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/DesktopPanelWidget.cs,
	  MonoDevelop.Deployment.Linux/BasicOptionPanelWidget.cs,
	  MonoDevelop.Deployment.Linux/DotDesktopViewWidget.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.Deployment.Linux.DesktopPanelWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Linux.BasicOptionPanelWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs,
	  gtk-gui/objects.xml,
	  gtk-gui/MonoDevelop.Deployment.Linux.MenuCategorySelectorDialog.cs:
	  Updated generated code.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Deployment.Linux.mdp: Removed some parts of the
	  documentation service.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/LinuxDeployData.cs: Moved serialization
	  engine to MonoDevelop.Core. Use new syntax for specifying attribute
	  scope.

2008-06-16  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/gui.stetic: Fix required gtk version.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.addin.xml: Bump MD version.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.addin.xml: Merged the extension points
	  for project and solution option panels into a single extension
	  point. A single extension point will now be used for all kinds of
	  items. Extension conditions can be used to make panels visible only
	  for some specific item types.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.addin.xml,
	  MonoDevelop.Deployment.Linux.mdp,
	  MonoDevelop.Deployment.Linux/BasicOptionPanelWidget.cs,
	  MonoDevelop.Deployment.Linux/LinuxDeploymentSetup.cs,
	  MonoDevelop.Deployment.Linux/LinuxDeployData.cs,
	  MonoDevelop.Deployment.Linux/LinuxIntegrationProjectFeature.cs,
	  MonoDevelop.Deployment.Linux/LinuxDeployExtension.cs,
	  MonoDevelop.Deployment.Linux/BasicOptionPanel.cs: New project model
	  changes.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Deployment.Linux.mdp, gtk-gui/gui.stetic, Makefile.am: Removed
	  some unused glade and gnome-sharp references (only the unused). But I'll
	  continue to remove glade, we need to lower the dependency tree a bit.

2008-02-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/DotDesktopView.cs: Fixed nullref.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.addin.xml: Update MD version.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.addin.xml: Updated add-in category and
	  description.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* app.desktop.xft.xml: Make template categories translatable.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.mdp: Updated project files. The order of
	  extended properties won't change anymore.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/DotDesktopViewWidget.cs: Moved
	  PlatformService to MD.Core.Gui. Removed old FileIconService class, which
	  is now implemented in PlatformService.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Linux.MenuCategorySelectorDialog.cs,
	  gtk-gui/gui.stetic: Flush.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs,
	  gtk-gui/gui.stetic,
	  gtk-gui/MonoDevelop.Deployment.Linux.MenuCategorySelectorDialog.cs:
	  Updated.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.addin.xml: Bump add-in versions.

2007-12-06  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.Deployment.Linux/DotDesktopViewWidget.cs: Use 
	  PlatformService to get mime information instead of Gnome.Vfs directly

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.mdp, Makefile.am: Directory reorganization.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Deployment.Linux/LinuxDeploymentSetup.cs,
	  MonoDevelop.Deployment.Linux/MenuCategorySelectorDialog.cs: Track
	  LoggingService API changes.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.addin.xml: Bump MD version.

2007-10-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.addin.xml, MonoDevelop.Deployment.Linux.mdp,
	  MonoDevelop.Deployment.Linux/LinuxDeploymentSetup.cs,
	  MonoDevelop.Deployment.Linux/LinuxDeployData.cs, app.desktop.xft.xml,
	  Makefile.am: Added new file template for creating .desktop files. When a
	  .desktop file is added to a project, set the deploy options so it is
	  deployed to the .desktop app folder.

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/LinuxDeployExtension.cs: Use the project
	  description when generating .pc files, if available. Patch by Federico
	  Di Gregorio.

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/DotDesktopView.cs: Destroy the view widget
	  when the view is disposed.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/LinuxIntegrationProjectFeature.cs: Track api
	  changes. Add description property.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.mdp: Project file names updated by change in
	  MD path functions.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.addin.xml: Bump MD version.

2007-09-20  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.Deployment.Linux.DesktopPanelWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Linux.BasicOptionPanelWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Linux.MenuCategorySelectorDialog.cs:
	  Regenerated gui files.

2007-09-15  Andrés G. Aragoneses <knocte@gmail.com>

	* MonoDevelop.Deployment.Linux/DesktopInfo.xml: fix typo.
	* gtk-gui/MonoDevelop.Deployment.Linux.DesktopPanelWidget.cs:
	* gtk-gui/gui.stetic: Don't translate "page#" texts.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Deployment.Linux/BasicOptionPanel.cs,
	  gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs: Changes
	  due to new property infrastructure.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Deployment.Linux.mdp: Don't exclude the .addin
	  file from the makefile.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.addin.xml, MonoDevelop.Deployment.Linux.mdp,
	  Makefile.am: Reorganized the extension point hierarchy. Embedded all
	  add-in manifests as resources.

2007-07-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.mdp,
	  gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs,
	  gtk-gui/gui.stetic: Updated.

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/MenuCategorySelectorDialog.cs: Fix
	  build.

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/MenuCategorySelectorDialog.cs: Use the
	  log service for logging errors.

2007-07-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/LinuxDeployExtension.cs: In the
	  generated launch script, transfer script parameters to mono.
	* gtk-gui/objects.xml: Updated.

2007-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/MenuCategorySelectorDialog.cs: Always
	  select a "main" category when selecting a subcategory.

2007-05-30  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/LinuxDeployData.cs: Don't set the
	  ScriptName property by default, just return the name of the project
	  when not set.
	* gtk-gui/MonoDevelop.Deployment.Linux.DesktopPanelWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs,
	  gtk-gui/gui.stetic: Updated.

2007-05-13  David Makovský (Yakeen) <yakeen@sannyas-on.net> 

	* MonoDevelop.Deployment.Linux/DotDesktopViewWidget.cs,
	  MonoDevelop.Deployment.Linux/MenuCategorySelectorDialog.cs: Make
	  strings translatable.

2007-05-12  David Makovský (Yakeen) <yakeen@sannyas-on.net> 

	* MonoDevelop.Deployment.Linux/LinuxDeployExtension.cs: Fixed typo.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.mdp: Don't copy project references.

2007-05-10  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.Deployment.Linux.mdp: Add 
	  MonoDevelop.Deployment.Linux.addin.xml back to the file list, 
	  but exclude from makefile synching.

2007-05-09  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* Makefile.am: Eliminate duplication of 
	  MonoDevelop.Deployment.Linux.addin.xml target.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.mdp, Makefile.am: Reference shared
	  assemblies from the correct location.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.addin.xml,
	  MonoDevelop.Deployment.Linux.mdp,
	  gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs,
	  Makefile.am: Migration to Mono.Addins.

2007-04-27  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/LinuxDeployData.cs: Added package name
	  property.
	* MonoDevelop.Deployment.Linux/LinuxDeployExtension.cs: Rename
	  app.desktop files to <package-name>.desktop when deploying.

2007-04-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.addin.xml: Register new project feature
	  editor. Place the .desktop editor before the default editor.
	* MonoDevelop.Deployment.Linux.mdp, Makefile.am: Added new file.
	* MonoDevelop.Deployment.Linux/DesktopEntry.cs: Write the [Desktop
	  Entry] group name when a new file is created.
	* MonoDevelop.Deployment.Linux/BasicOptionPanelWidget.cs,
	  MonoDevelop.Deployment.Linux/BasicOptionPanel.cs: Generate the
	  .desktop file if that option is selected.
	* MonoDevelop.Deployment.Linux/LinuxIntegrationProjectFeature.cs:
	  Implemented a project feature which allows setting unix integration
	  options.
	* gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Linux.MenuCategorySelectorDialog.cs,
	  gtk-gui/gui.stetic: Updated.

2007-04-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux/BasicOptionPanelWidget.cs,
	  MonoDevelop.Deployment.Linux/LinuxDeployExtension.cs: Show library
	  options for exes compiled as dll.
	* gtk-gui/MonoDevelop.Deployment.Linux.DotDesktopViewWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Linux.MenuCategorySelectorDialog.cs:
	  Updated.

2007-04-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Linux.mdp: Updated.
	* MonoDevelop.Deployment.Linux/LinuxDeployExtension.cs: Provide the
	  source project and a description for generated .pc and script
	  files.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com>

	New unix deployment add-in.
